AdminHandlers (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.admin.AdminHandlers class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.admin
Class AdminHandlers

    java.lang.Object
      org.apache.solr.handler.admin.AdminHandlers

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler, SolrCoreAware

    public class AdminHandlers

extends Object
implements SolrCoreAware, SolrRequestHandler

A special Handler that registers all standard admin handlers

Since:
  solr 1.3
Version:
  $Id: AdminHandlers.java 953887 2010-06-11 21:53:43Z hossman $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Constructor Summary
`AdminHandlers()`

Method Summary
`SolrInfoMBean.Category` | `getCategory()` Purpose of this Class
`String` | `getDescription()` Simple one or two line description
`URL[]` | `getDocs()` Documentation URL list.
`String` | `getName()` Simple common usage name, e.g.
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`NamedList` | `getStatistics()` Any statistics this instance would like to be publicly available via the Solr Administration interface.
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `handleRequest(SolrQueryRequest req, SolrQueryResponse rsp)` Handles a query request, this method must be thread safe.
`void` | `inform(SolrCore core)`
`void` | `init(NamedList args)` Save the args and pass them to each standard handler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminHandlers

    public AdminHandlers()

Method Detail

### init

    public void init(NamedList args)

  Save the args and pass them to each standard handler

  Specified by:
    `init` in interface `SolrRequestHandler`

### inform

    public void inform(SolrCore core)

  Specified by:
    `inform` in interface `SolrCoreAware`

### handleRequest

    public void handleRequest(SolrQueryRequest req,
                              SolrQueryResponse rsp)

  Description copied from interface: `SolrRequestHandler`
  Handles a query request, this method must be thread safe.

  Information about the request may be obtained from `req` and response information may be set using `rsp`.

  There are no mandatory actions that handleRequest must perform. An empty handleRequest implementation would fulfill all interface obligations.

  Specified by:
    `handleRequest` in interface `SolrRequestHandler`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`

### getCategory

    public SolrInfoMBean.Category getCategory()

  Description copied from interface: `SolrInfoMBean`
  Purpose of this Class

  Specified by:
    `getCategory` in interface `SolrInfoMBean`

### getDocs

    public URL[] getDocs()

  Description copied from interface: `SolrInfoMBean`
  Documentation URL list.

  Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

  Specified by:
    `getDocs` in interface `SolrInfoMBean`

### getName

    public String getName()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage name, e.g. BasicQueryHandler, or fully qualified clas name.

  Specified by:
    `getName` in interface `SolrInfoMBean`

### getStatistics

    public NamedList getStatistics()

  Description copied from interface: `SolrInfoMBean`
  Any statistics this instance would like to be publicly available via the Solr Administration interface.

  Any Object type may be stored in the list, but only the `toString()` representation will be used.

  Specified by:
    `getStatistics` in interface `SolrInfoMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD